/**
 * "我"的详情视图
 */
DGC.View.BindQQ =  $.inherits(DGC.View, {

    baseId : 'set-email-view',

    /**
     * 根视图
     */
    isSub: false,

    /**
     * 标题文字
     * @type Boolean
     */
    title : 'A_TITLE_ME_DETAIL',

    /**
     * 视图静态模版
     * @type String
     */
    renderTpl : "1.4.0/js/template/checkpoint/BindQQ.html",

    player : undefined,

    game : undefined,
    /**
     * 动作完成状态，默认未完成
     */
    status : false,
    /**
     * 视图初始化函数
     */
    viewReady: function(){
        var DC = DGC.Common;
        DGC.ActionUtil.setTitle( this.checkpoint.action.name);
        $("#checkpoint-tip").html($.format(resName.TEXT_CHECKPOINT_TIPS, [ this.checkpoint.action.name,'<span class="red">“'+ this.checkpoint.name +'”</span>！']));
        this.bingQQ();
        $("#bindButton")
            .bind(DC.E_TAP_DOWN,DC.buttonTapDownHandler)
            .bind(DC.E_TAP_UP,DC.buttonTapEndHandler)
            .bind("tap",$.proxy(this.bingQQ,this));
    },
    bingQQ:function(){
         this.action.model['me'].updateBindSNS(DH.ATTR.BIND_SNS.QQ);
    },
    /**
     * 绑定成功
     */
    bindQQSuccess: function(data){
        //绑定成功后，标识该动作完成，同步只是附加动作
        this.action.model['checkpoint'].updateCheckPoint({
            "cp_id":this.checkpoint.id,
            "ac_id":this.checkpoint.action.id
        });

        this.action.model['me'].snsSycPlayer(DH.ATTR.SYNC_SNS.QQ, DH.ATTR.SYNC_TYPE.ALL);
    },

    /**
     * 同步qq信息
     */
    sycQQSuccess : function(result){
        var msg = result ? resName.TIP_BIND_SUCCESS : resName.TIP_SYNCHRONIZED_FAIL;
        DGC.ActionUtil.showTipMsg(msg, function(){
            DGC.ActionUtil.returnToGame();
        });
    },

    /**
     * 通知服务端更新Action状态
     */
    updateCheckPointSuccess: function(){
        this.status = true;
    },

    /**
     * 销毁时动作
     */
    onDestory: function(){
        //关闭View时通知SDK动作状态
        DGC.ActionUtil.checkPointStatus(this.status, this.checkpoint.id, this.checkpoint.action.id);
    }
});